<aconf> ... </aconf> |

`<aconf>` is defined in the Main RXML parser module.

Adds or removes config options.

Config options are simple toggles that are stored in the cookie roxen-config. This ensures that they are persistent for that user, the same user will have the same config options even if he returns to the site another day. If cookies cannot be used, prestate variables are used instead.

Use <doc>`{if config=...}`</doc> to test for the presence of a config option. `<aconf>` works just like the <doc>`{a href=...}`</doc> container tag, but if no `href` attribute is specified, the current page is used.

Attributes |

Attributes

Example

source code

    <aconf +foo>Add the option</aconf>

    <aconf -foo>Remove the option</aconf>

    if config=foo>
    The option is set.
    </if>
    <else>
    The option is not set.
    </else>

    "=> >

result | <aconf +foo>Add the option</aconf> <aconf -foo>Remove the option</aconf> if config=foo> The option is set. </if> <else> The option is not set. </else>